/* Load in the custom font */
@font-face {
    font-family: 'Cheerful Donuts';
    src: url('Cheerful Donuts.ttf');
    font-weight: normal;
    font-style: normal;
}

*{
    font-family:'Cheerful Donuts', sans-serif;
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html,body{
    height: 100%;
    width: 100%;
}

body{
    background-color:#EAF6FF;
    color: #2F4858;
}

/* ---------- For the top navbar ---------- */

nav .container{
    background-color:#1d94d9;
    padding: 1rem 4rem;
    display: flex;
    align-items: center;
    justify-content: space-between;
    position: relative;
    height: 8rem;
    font-size: 1.5rem;
}

nav ul{
    display: flex;
    gap: 30px;
}

nav ul li{
    list-style-type: none;
}

nav ul li a{
    text-decoration: none;
    color: #2F4858;
}

nav img{
    margin: 2rem;
}

.menu-icon{
    display: none;
}

.menu-icon i{
    color: #2F4858;
    font-size: 30px;
}

.container img{
    width: 10rem;
}

/* To Do: figure out a better way to handle anchor tag taking up whole container width */
.container a{
    width: 20px;
}

@media (max-width:690px){
    nav ul{
        position: absolute;
        top: 8rem;
        left: 0;
        right: 0;
        flex-direction: column;
        text-align: center;
        background-color:#86c9ef;
        gap: 0;
        overflow: hidden;
        z-index: 100;
    }

    nav ul li{
        padding: 20px;
    }

    .menu-icon{
        display: block;
    }

    #menu{
        transition: all 1s;
    }
}

/* ---------- For the picture gallery menu ---------- */

.picture-menu{
    margin: 100px auto;
    max-width: 100%;
}

.picture-menu nav{
    display: flex;
    justify-content: center;
}

nav .items{
    display: flex;
    max-width: 720px;
    width: 100%; 
    justify-content: space-between;   
}

.items .item{
    padding: 7px 25px;
    font-size: 18px;
    font-weight: 500;
    border: 2px solid #1d94d9;
    border-radius: 50px;
    cursor: pointer;
    transition: all 0.3s ease;
}

.items .active,
.items .item:hover{
    color: #EAF6FF;
    background-color: #1d94d9;
}

/* ---------- For the gallery ---------- */

.gallery{
    display: flex;
    flex-wrap: wrap;
    margin-top: 30px;
}

.gallery .images{
    padding: 5px;
    width: calc(100% / 4);
}

.gallery .images.hide{
    display: none;
}

.gallery .images.show{
    display: block;
    animation: animate 0.4s ease;
}

@keyframes animate{
    0%{
        transform: scale(0.5);
    }
    100%{
        transform: scale(1);
    }
}

.gallery .images span{
    display: flex;    
    width: 100%;
    overflow: hidden;
}

.gallery .images img{
    width: 100%;
    vertical-align: middle;
    transition: all 0.3s ease;    
}

.gallery .images:hover img{
    transform: scale(1.1);
}

/* ---------- For the preview box ---------- */

.preview-box{
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%) scale(0.9);
    max-width: 700px;
    width: 100%;
    z-index: 5;
    opacity: 0;
    pointer-events: none;
    background-color: #EAF6FF;
    border-radius: 3px;
    padding: 0 5px 5px 5px;
    box-shadow: 0px 0px 15px rgba(0,0,0,0.3);
}

.preview-box.show{
    opacity: 1;
    pointer-events: auto;
    transform: translate(-50%,-50%) scale(1);
}

.preview-box .details{
    display: flex;
    align-items: center;
    padding: 13px 15px 13px 10px;
    justify-content: space-between;
}

.preview-box .details .title{
    display: flex;    
    font-size: 18px;
    font-weight: 400;
}

.preview-box .title p{
    margin-left: 5px;
    font-weight: 500;
}

.details .icon{
    color: #1d94d9;
    font-size: 22px;
    cursor: pointer;
}

.preview-box .image-box{
    display: flex;
    width: 100%;
}

.image-box img{
    width: 100%;
    border-radius: 0 0 3px 3px;
}

.shadow{
    position: fixed;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    z-index: 2;
    background-color: rgba(0,0,0,0.4);
    display: none;
}

.shadow.show{
    display: block;
}

/* ---------- For the footer ---------- */

footer {
    color: #EAF6FF;
    position:relative;
    margin-top: auto;
    bottom: 0;
    width: 100%;
    text-align: center;
    background:rgba(0,0,0,0.5);    
    padding: 1rem;
    font-size:1.5rem;
}

/* ---------- Media query for the gallery menu ---------- */

@media (max-width:1000px){
    .gallery .images{
        width: calc(100% / 3);
    }
}

@media (max-width:800px){
    .gallery .images{
        width: calc(100% / 2);
    }
}

@media (max-width:700px){
    nav .items{
        max-width: 600px;
    }
    .items .item{
        padding: 7px 15px;
    }
}

@media (max-width:700px){
    nav .items{
        flex-wrap: wrap;
        justify-content: center;
    }
    .items .item{
        margin: 5px;
    }
    .gallery .images{
        width: 100%;
    }
}